POST/api/v2/admin/vouchers/api-keys

POST /api/v2/admin/vouchers/api-keys

Authentication

Send your API key in the x-api-key header on every request.

Parameters

Request parameters
FieldTypeRequiredDescription
companyId (query)unknownNo
Idempotency-Key (header)stringNo

Request body

application/json

Request body fields
FieldTypeRequiredDescription
NamestringYes
Scopesarray of stringNo
AllowedIpsarray of stringNo
ExpiresAtstring (date-time)No

Responses

200 — OK

Response 200 fields
FieldTypeRequiredDescription
Idstring (uuid)Yes
NamestringYes
KeystringYes
Scopesarray of stringYes
ExpiresAtstring (date-time)Yes
ReplayedbooleanNo

Example request

curl -X POST "https://{base_url}/api/v2/admin/vouchers/api-keys" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"Name":"…"}'

This page is generated from the live OpenAPI specification and always matches the current API.